org.richfaces.fragment.orderingList

## Interface PuttingSelectedItem

-     public interface PuttingSelectedItem

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrderingList` | `putItAfter(ChoicePicker picker)` Puts previously selected item after another item picked by @picker.
    `OrderingList` | `putItAfter(int index)` Puts previously selected item after another item at @index.
    `OrderingList` | `putItAfter(String match)` Puts previously selected item after another item which text matches @match.
    `OrderingList` | `putItBefore(ChoicePicker picker)` Puts previously selected item before another item picked by @picker.
    `OrderingList` | `putItBefore(int index)` Puts previously selected item before another item at @index.
    `OrderingList` | `putItBefore(String match)` Puts previously selected item before another item which text matches @match.

- - ### Method Detail

    - #### putItBefore

          OrderingList putItBefore(int index)

      Puts previously selected item before another item at @index.
      Parameters:
        `index` - index of the item

    - #### putItBefore

          OrderingList putItBefore(String match)

      Puts previously selected item before another item which text matches @match.
      Parameters:
        `match` - text to match

    - #### putItBefore

          OrderingList putItBefore(ChoicePicker picker)

      Puts previously selected item before another item picked by @picker.
      Parameters:
        `picker` - for picking from the choices
      See Also:
        `ChoicePickerHelper.ByIndexChoicePicker`, `ChoicePickerHelper.ByVisibleTextChoicePicker`

    - #### putItAfter

          OrderingList putItAfter(int index)

      Puts previously selected item after another item at @index.
      Parameters:
        `index` - index of the item

    - #### putItAfter

          OrderingList putItAfter(String match)

      Puts previously selected item after another item which text matches @match.
      Parameters:
        `match` - text to match

    - #### putItAfter

          OrderingList putItAfter(ChoicePicker picker)

      Puts previously selected item after another item picked by @picker.
      Parameters:
        `picker` - for picking from the choices
      See Also:
        `ChoicePickerHelper.ByIndexChoicePicker`, `ChoicePickerHelper.ByVisibleTextChoicePicker`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.